import { r as a, s as u, y as i, e as b, g as p } from "./base-0db4ef3a.js";
import { u as f } from "./useBemm-077765ce.js";
const m = `.sil-blockquote{display:block;border:1px solid red;padding:var(--space)}
`;
var v = Object.defineProperty, d = Object.getOwnPropertyDescriptor, _ = (r, s, t, o) => {
  for (var e = o > 1 ? void 0 : o ? d(s, t) : s, l = r.length - 1, c; l >= 0; l--)
    (c = r[l]) && (e = (o ? c(s, t, e) : c(e)) || e);
  return o && e && v(s, t, e), e;
};
let n = class extends u {
  render() {
    const { classes: r } = f(p("blockquote"), {
      return: "string"
    });
    return i` <article class="${r({})}"></article> `;
  }
};
n.styles = a(m);
n = _([
  b(p("blockquote"))
], n);
export {
  n as Blockquote
};
